Add, remove, promote, or demote participants in a WhatsApp group.
curl --request POST \
--url https://api.example.com/group/updateParticipant/my-instance \
--header 'apikey: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"groupJid": "120363123456789@g.us",
"action": "add",
"participants": [
"5511999999999",
"5511888888888"
]
}'
{
"success": true,
"action": "add",
"participants": [
"5511999999999@s.whatsapp.net",
"5511888888888@s.whatsapp.net"
],
"results": [
{
"jid": "5511999999999@s.whatsapp.net",
"status": "success",
"message": "Participant added successfully"
},
{
"jid": "5511888888888@s.whatsapp.net",
"status": "success",
"message": "Participant added successfully"
}
]
}
Documentation Index
Fetch the complete documentation index at: https://mintlify.com/EvolutionAPI/evolution-api/llms.txt
Use this file to discover all available pages before exploring further.
apikey header.
@g.us suffix).add: Add new participants to the groupremove: Remove participants from the grouppromote: Promote participants to admin statusdemote: Demote admins to regular member statuscurl --request POST \
--url https://api.example.com/group/updateParticipant/my-instance \
--header 'apikey: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"groupJid": "120363123456789@g.us",
"action": "add",
"participants": [
"5511999999999",
"5511888888888"
]
}'
{
"success": true,
"action": "add",
"participants": [
"5511999999999@s.whatsapp.net",
"5511888888888@s.whatsapp.net"
],
"results": [
{
"jid": "5511999999999@s.whatsapp.net",
"status": "success",
"message": "Participant added successfully"
},
{
"jid": "5511888888888@s.whatsapp.net",
"status": "success",
"message": "Participant added successfully"
}
]
}
GET /group/participants/:instanceName?groupJid=120363123456789@g.us
curl --request POST \
--url https://api.example.com/group/updateParticipant/my-instance \
--header 'apikey: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"groupJid": "120363123456789@g.us",
"action": "add",
"participants": [
"5511999999999",
"5511888888888"
]
}'
{
"success": true,
"action": "add",
"participants": [
"5511999999999@s.whatsapp.net",
"5511888888888@s.whatsapp.net"
],
"results": [
{
"jid": "5511999999999@s.whatsapp.net",
"status": "success",
"message": "Participant added successfully"
},
{
"jid": "5511888888888@s.whatsapp.net",
"status": "success",
"message": "Participant added successfully"
}
]
}